#language: ru

@logistic

Функционал: 015. Logistic. Формирование приоритетов размещения

Сценарий: 015.1. Logistic. Формирование приоритетов размещения

	Дано Я подключаюсь под "Администратор"
	Дано я удаляю все элементы таблицы "РегистрСведений.к2ПриоритетРазмещенияПоЯчейкамСклада"
	И В командном интерфейсе я выбираю 'Склад и доставка' 'Формирование приоритетов размещения'
	Тогда открылось окно 'Формирование приоритетов размещения'
	И из выпадающего списка "Склад" я выбираю по строке 'Склад (ячейки, помещения)'
	И я меняю значение переключателя 'НазначитьПриоритетыДляЯчеек' на 'Ячейки'
	И я нажимаю кнопку выбора у поля "Зона склада"
	Тогда открылось окно 'Зоны склада'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Зоны склада (создание)'
	И в поле 'Наименование' я ввожу текст 'Зона склада (ячейки, помещения)'
	И я нажимаю на кнопку 'Записать'
	Тогда открылось окно 'Зона склада (ячейки, помещения) (Зоны склада)'
	И в таблице "СоставЯчеек" я нажимаю на кнопку 'Подобрать ячейки'
	Тогда открылось окно 'Складские ячейки'
	И в таблице "Список" я перехожу к строке:
		| 'Описание'   | 'Помещение'  | 'Склад'                     | 'Типоразмер'    |
		| '1-02-002-2' | 'Помещение1' | 'Склад (ячейки, помещения)' | 'Неограниченый' |
	И в таблице "Список" я выбираю текущую строку
	И в таблице "Список" я перехожу к строке:
		| 'Описание'   | 'Помещение'  | 'Склад'                     | 'Типоразмер'    |
		| '1-02-002-3' | 'Помещение1' | 'Склад (ячейки, помещения)' | 'Неограниченый' |
	И в таблице "Список" я выбираю текущую строку
	И я нажимаю на кнопку 'Перенести в документ'
	Тогда открылось окно 'Зона склада (ячейки, помещения) (Зоны склада)'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Зона склада (ячейки, помещения) (Зоны склада)' в течение 20 секунд
	Тогда открылось окно 'Зоны склада'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Формирование приоритетов размещения'
	Тогда таблица "ЯчейкиПриоритетов" стала равной:
		| 'Ячейка'     | 'Правило размещения' |
		| '1-02-002-2' | ''                   |
		| '1-02-002-3' | ''                   |
	И в таблице "ЯчейкиПриоритетов" я перехожу к строке:
		| 'Ячейка'     |
		| '1-02-002-2' |
	И в таблице "НоменклатураЯчейкиСклада" я нажимаю на кнопку 'Подобрать'
	Тогда открылось окно 'Подбор номенклатуры'
	Если в таблице "Список" нет строк Тогда
		| 'Наименование'               |
		| 'Сыр Адыгейский'             |
		| 'Сыр Костромской'            |
		| 'Сыр Пошехонский'            |
		| 'Сыр Сулугуни'               |
		И я нажимаю на кнопку 'Иерархия'
	И в таблице "Список" я перехожу к строке:
		| 'Артикул'  | 'Вид'         | 'Ед.' | 'Наименование'   | 'Товарная категория' |
		| '999-0123' | 'Мягкие сыры' | 'кг'  | 'Сыр Адыгейский' | 'Мягкие сыры'        |
	И в таблице "Список" я выбираю текущую строку
	И я перехожу к закладке с именем "Страница_Характеристика"
	И в таблице "СписокХарактеристик" я перехожу к строке:
		| 'Наименование'     |
		| '<Без маркировки>' |
	И в таблице "СписокХарактеристик" я выбираю текущую строку
	И я перехожу к закладке с именем "Страница_Номенклатура"
	И в таблице "Список" я перехожу к строке:
		| 'Артикул'  | 'Вид'          | 'Ед.' | 'Наименование'    | 'Товарная категория' |
		| '999-0234' | 'Твердые сыры' | 'кг'  | 'Сыр Костромской' | 'Твердые сыры'       |
	И в таблице "Список" я выбираю текущую строку
	И я перехожу к закладке с именем "Страница_Характеристика"
	И в таблице "СписокХарактеристик" я перехожу к строке:
		| 'Наименование'     |
		| '<Без маркировки>' |
	И в таблице "СписокХарактеристик" я выбираю текущую строку
	И я перехожу к закладке с именем "Страница_Номенклатура"
	И в таблице "Список" я перехожу к строке:
		| 'Артикул'  | 'Вид'              | 'Ед.' | 'Наименование'    | 'Товарная категория' |
		| '999-0345' | 'Полутвердые сыры' | 'кг'  | 'Сыр Пошехонский' | 'Полутвердые сыры'   |
	И я перехожу к закладке с именем "Страница_Характеристика"
	И в таблице "СписокХарактеристик" я перехожу к строке:
		| 'Наименование'     |
		| '<Без маркировки>' |
	И в таблице "СписокХарактеристик" я выбираю текущую строку
	И я перехожу к закладке с именем "Страница_Номенклатура"
	И в таблице "Список" я перехожу к строке:
		| 'Артикул'  | 'Вид'                     | 'Ед.' | 'Наименование' | 'Товарная категория' |
		| '999-0567' | 'Мягкие сыры (с сериями)' | 'кг'  | 'Сыр Сулугуни' | 'Мягкие сыры'        |
	И в таблице "Список" я выбираю текущую строку
	И я перехожу к закладке с именем "Страница_Характеристика"
	И в таблице "СписокХарактеристик" я перехожу к строке:
		| 'Наименование'     |
		| '<Без маркировки>' |
	И в таблице "СписокХарактеристик" я выбираю текущую строку
	И я перехожу к закладке с именем "Страница_Номенклатура"
	И я нажимаю на кнопку 'Перенести'
	Тогда открылось окно 'Установите приоритет для выбранной номенклатуры'
	И в поле 'InputFld' я ввожу текст '1'
	И я нажимаю на кнопку 'OK'
	Тогда открылось окно 'Формирование приоритетов размещения'
	Тогда таблица "НоменклатураЯчейкиСклада" стала равной:
		| 'Номенклатура'    | 'Характеристика'   | 'Приоритет' |
		| 'Сыр Адыгейский'  | '<Без маркировки>' | '1'         |
		| 'Сыр Костромской' | '<Без маркировки>' | '1'         |
		| 'Сыр Пошехонский' | '<Без маркировки>' | '1'         |
		| 'Сыр Сулугуни'    | '<Без маркировки>' | '1'         |
	И в таблице "НоменклатураЯчейкиСклада" я перехожу к строке:
		| 'Номенклатура' | 'Приоритет' | 'Характеристика'   |
		| 'Сыр Сулугуни' | '1'         | '<Без маркировки>' |
	И в таблице "НоменклатураЯчейкиСклада" я нажимаю на кнопку 'Назначить приоритет'
	Тогда открылось окно 'Назначить приоритет'
	И в поле 'InputFld' я ввожу текст '4'
	И я нажимаю на кнопку 'OK'
	Тогда открылось окно 'Формирование приоритетов размещения'
	И в таблице "НоменклатураЯчейкиСклада" я перехожу к строке:
		| 'Номенклатура'    | 'Приоритет' | 'Характеристика'   |
		| 'Сыр Пошехонский' | '1'         | '<Без маркировки>' |
	И в таблице "НоменклатураЯчейкиСклада" я нажимаю на кнопку 'Назначить приоритет'
	Тогда открылось окно 'Назначить приоритет'
	И в поле 'InputFld' я ввожу текст '3'
	И я нажимаю на кнопку 'OK'
	Тогда открылось окно 'Формирование приоритетов размещения'
	И в таблице "НоменклатураЯчейкиСклада" я перехожу к строке:
		| 'Номенклатура'    | 'Приоритет' | 'Характеристика'   |
		| 'Сыр Костромской' | '1'         | '<Без маркировки>' |
	И в таблице "НоменклатураЯчейкиСклада" я нажимаю на кнопку 'Назначить приоритет'
	Тогда открылось окно 'Назначить приоритет'
	И в поле 'InputFld' я ввожу текст '2'
	И я нажимаю на кнопку 'OK'
	Тогда открылось окно 'Формирование приоритетов размещения'
	Тогда таблица "НоменклатураЯчейкиСклада" стала равной:
		| 'Номенклатура'    | 'Характеристика'   | 'Приоритет' |
		| 'Сыр Адыгейский'  | '<Без маркировки>' | '1'         |
		| 'Сыр Костромской' | '<Без маркировки>' | '2'         |
		| 'Сыр Пошехонский' | '<Без маркировки>' | '3'         |
		| 'Сыр Сулугуни'    | '<Без маркировки>' | '4'         |
	И в таблице "ЯчейкиПриоритетов" я перехожу к строке:
		| 'Ячейка'     |
		| '1-02-002-3' |
	И в таблице "НоменклатураЯчейкиСклада" я нажимаю на кнопку 'Подобрать'
	Тогда открылось окно 'Подбор номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Артикул'  | 'Вид'         | 'Ед.' | 'Наименование'   | 'Товарная категория' |
		| '999-0123' | 'Мягкие сыры' | 'кг'  | 'Сыр Адыгейский' | 'Мягкие сыры'        |
	И в таблице "Список" я выбираю текущую строку
	И я перехожу к закладке с именем "Страница_Характеристика"
	И в таблице "СписокХарактеристик" я перехожу к строке:
		| 'Наименование'     |
		| '<Без маркировки>' |
	И в таблице "СписокХарактеристик" я выбираю текущую строку
	И я перехожу к закладке с именем "Страница_Номенклатура"
	И в таблице "Список" я перехожу к строке:
		| 'Артикул'  | 'Вид'          | 'Ед.' | 'Наименование'    | 'Товарная категория' |
		| '999-0234' | 'Твердые сыры' | 'кг'  | 'Сыр Костромской' | 'Твердые сыры'       |
	И в таблице "Список" я выбираю текущую строку
	И я перехожу к закладке с именем "Страница_Характеристика"
	И в таблице "СписокХарактеристик" я перехожу к строке:
		| 'Наименование'     |
		| '<Без маркировки>' |
	И в таблице "СписокХарактеристик" я выбираю текущую строку
	И я перехожу к закладке с именем "Страница_Номенклатура"
	И в таблице "Список" я перехожу к строке:
		| 'Артикул'  | 'Вид'              | 'Ед.' | 'Наименование'    | 'Товарная категория' |
		| '999-0345' | 'Полутвердые сыры' | 'кг'  | 'Сыр Пошехонский' | 'Полутвердые сыры'   |
	И я перехожу к закладке с именем "Страница_Характеристика"
	И в таблице "СписокХарактеристик" я перехожу к строке:
		| 'Наименование'     |
		| '<Без маркировки>' |
	И в таблице "СписокХарактеристик" я выбираю текущую строку
	И я перехожу к закладке с именем "Страница_Номенклатура"
	И в таблице "Список" я перехожу к строке:
		| 'Артикул'  | 'Вид'                     | 'Ед.' | 'Наименование' | 'Товарная категория' |
		| '999-0567' | 'Мягкие сыры (с сериями)' | 'кг'  | 'Сыр Сулугуни' | 'Мягкие сыры'        |
	И в таблице "Список" я выбираю текущую строку
	И я перехожу к закладке с именем "Страница_Характеристика"
	И в таблице "СписокХарактеристик" я перехожу к строке:
		| 'Наименование'     |
		| '<Без маркировки>' |
	И в таблице "СписокХарактеристик" я выбираю текущую строку
	И я перехожу к закладке с именем "Страница_Номенклатура"
	И я нажимаю на кнопку 'Перенести'
	Тогда открылось окно 'Установите приоритет для выбранной номенклатуры'
	И в поле 'InputFld' я ввожу текст '1'
	И я нажимаю на кнопку 'OK'
	Тогда открылось окно 'Формирование приоритетов размещения'
	Тогда таблица "НоменклатураЯчейкиСклада" стала равной:
		| 'Номенклатура'    | 'Характеристика'   | 'Приоритет' |
		| 'Сыр Адыгейский'  | '<Без маркировки>' | '1'         |
		| 'Сыр Костромской' | '<Без маркировки>' | '1'         |
		| 'Сыр Пошехонский' | '<Без маркировки>' | '1'         |
		| 'Сыр Сулугуни'    | '<Без маркировки>' | '1'         |
	И в таблице "НоменклатураЯчейкиСклада" я перехожу к строке:
		| 'Номенклатура' | 'Приоритет' | 'Характеристика'   |
		| 'Сыр Сулугуни' | '1'         | '<Без маркировки>' |
	И в таблице "НоменклатураЯчейкиСклада" я нажимаю на кнопку 'Назначить приоритет'
	Тогда открылось окно 'Назначить приоритет'
	И в поле 'InputFld' я ввожу текст '1'
	И я нажимаю на кнопку 'OK'
	Тогда открылось окно 'Формирование приоритетов размещения'
	И в таблице "НоменклатураЯчейкиСклада" я перехожу к строке:
		| 'Номенклатура'    | 'Приоритет' | 'Характеристика'   |
		| 'Сыр Пошехонский' | '1'         | '<Без маркировки>' |
	И в таблице "НоменклатураЯчейкиСклада" я нажимаю на кнопку 'Назначить приоритет'
	Тогда открылось окно 'Назначить приоритет'
	И в поле 'InputFld' я ввожу текст '2'
	И я нажимаю на кнопку 'OK'
	Тогда открылось окно 'Формирование приоритетов размещения'
	И в таблице "НоменклатураЯчейкиСклада" я перехожу к строке:
		| 'Номенклатура'    | 'Приоритет' | 'Характеристика'   |
		| 'Сыр Костромской' | '1'         | '<Без маркировки>' |
	И в таблице "НоменклатураЯчейкиСклада" я нажимаю на кнопку 'Назначить приоритет'
	Тогда открылось окно 'Назначить приоритет'
	И в поле 'InputFld' я ввожу текст '3'
	И я нажимаю на кнопку 'OK'
	Тогда открылось окно 'Формирование приоритетов размещения'
	И в таблице "НоменклатураЯчейкиСклада" я перехожу к строке:
		| 'Номенклатура'   | 'Приоритет' | 'Характеристика'   |
		| 'Сыр Адыгейский' | '1'         | '<Без маркировки>' |
	И в таблице "НоменклатураЯчейкиСклада" я нажимаю на кнопку 'Назначить приоритет'
	Тогда открылось окно 'Назначить приоритет'
	И в поле 'InputFld' я ввожу текст '4'
	И я нажимаю на кнопку 'OK'
	Тогда открылось окно 'Формирование приоритетов размещения'
	Тогда таблица "НоменклатураЯчейкиСклада" стала равной:
		| 'Номенклатура'    | 'Характеристика'   | 'Приоритет' |
		| 'Сыр Сулугуни'    | '<Без маркировки>' | '1'         |
		| 'Сыр Пошехонский' | '<Без маркировки>' | '2'         |
		| 'Сыр Костромской' | '<Без маркировки>' | '3'         |
		| 'Сыр Адыгейский'  | '<Без маркировки>' | '4'         |
	И я нажимаю на кнопку 'ОбновитьФорму'
	И в таблице "ЯчейкиПриоритетов" я перехожу к строке:
		| 'Ячейка'     |
		| '1-02-002-2' |
	Тогда таблица "НоменклатураЯчейкиСклада" стала равной:
		| 'Номенклатура'    | 'Характеристика'   | 'Приоритет' |
		| 'Сыр Адыгейский'  | '<Без маркировки>' | '1'         |
		| 'Сыр Костромской' | '<Без маркировки>' | '2'         |
		| 'Сыр Пошехонский' | '<Без маркировки>' | '3'         |
		| 'Сыр Сулугуни'    | '<Без маркировки>' | '4'         |
	И в таблице "ЯчейкиПриоритетов" я перехожу к строке:
		| 'Ячейка'     |
		| '1-02-002-3' |
	Тогда таблица "НоменклатураЯчейкиСклада" стала равной:
		| 'Номенклатура'    | 'Характеристика'   | 'Приоритет' |
		| 'Сыр Сулугуни'    | '<Без маркировки>' | '1'         |
		| 'Сыр Пошехонский' | '<Без маркировки>' | '2'         |
		| 'Сыр Костромской' | '<Без маркировки>' | '3'         |
		| 'Сыр Адыгейский'  | '<Без маркировки>' | '4'         |
	И я нажимаю кнопку очистить у поля "Зона склада"
	И в таблице "ЯчейкиПриоритетов" я перехожу к строке:
		| 'Ячейка'   |
		| '03-003-3' |
	И в таблице "НоменклатураЯчейкиСклада" я нажимаю на кнопку 'Подобрать'
	Тогда открылось окно 'Подбор номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Артикул'  | 'Вид'         | 'Ед.' | 'Наименование'   | 'Товарная категория' |
		| '999-0123' | 'Мягкие сыры' | 'кг'  | 'Сыр Адыгейский' | 'Мягкие сыры'        |
	И в таблице "Список" я выбираю текущую строку
	И я перехожу к закладке с именем "Страница_Характеристика"
	И в таблице "СписокХарактеристик" я перехожу к строке:
		| 'Наименование'     |
		| '<Без маркировки>' |
	И в таблице "СписокХарактеристик" я выбираю текущую строку
	И я перехожу к закладке с именем "Страница_Номенклатура"
	И в таблице "Список" я перехожу к строке:
		| 'Артикул'  | 'Вид'          | 'Ед.' | 'Наименование'    | 'Товарная категория' |
		| '999-0234' | 'Твердые сыры' | 'кг'  | 'Сыр Костромской' | 'Твердые сыры'       |
	И в таблице "Список" я выбираю текущую строку
	И я перехожу к закладке с именем "Страница_Характеристика"
	И в таблице "СписокХарактеристик" я перехожу к строке:
		| 'Наименование'     |
		| '<Без маркировки>' |
	И в таблице "СписокХарактеристик" я выбираю текущую строку
	И я перехожу к закладке с именем "Страница_Номенклатура"
	И в таблице "Список" я перехожу к строке:
		| 'Артикул'  | 'Вид'              | 'Ед.' | 'Наименование'    | 'Товарная категория' |
		| '999-0345' | 'Полутвердые сыры' | 'кг'  | 'Сыр Пошехонский' | 'Полутвердые сыры'   |
	И я перехожу к закладке с именем "Страница_Характеристика"
	И в таблице "СписокХарактеристик" я перехожу к строке:
		| 'Наименование'     |
		| '<Без маркировки>' |
	И в таблице "СписокХарактеристик" я выбираю текущую строку
	И я перехожу к закладке с именем "Страница_Номенклатура"
	И в таблице "Список" я перехожу к строке:
		| 'Артикул'  | 'Вид'                     | 'Ед.' | 'Наименование' | 'Товарная категория' |
		| '999-0567' | 'Мягкие сыры (с сериями)' | 'кг'  | 'Сыр Сулугуни' | 'Мягкие сыры'        |
	И в таблице "Список" я выбираю текущую строку
	И я перехожу к закладке с именем "Страница_Характеристика"
	И в таблице "СписокХарактеристик" я перехожу к строке:
		| 'Наименование'     |
		| '<Без маркировки>' |
	И в таблице "СписокХарактеристик" я выбираю текущую строку
	И я перехожу к закладке с именем "Страница_Номенклатура"
	И я нажимаю на кнопку 'Перенести'
	Тогда открылось окно 'Установите приоритет для выбранной номенклатуры'
	И в поле 'InputFld' я ввожу текст '1'
	И я нажимаю на кнопку 'OK'
	Тогда открылось окно 'Формирование приоритетов размещения'
	Тогда таблица "НоменклатураЯчейкиСклада" стала равной:
		| 'Номенклатура'    | 'Характеристика'   | 'Приоритет' |
		| 'Сыр Адыгейский'  | '<Без маркировки>' | '1'         |
		| 'Сыр Костромской' | '<Без маркировки>' | '1'         |
		| 'Сыр Пошехонский' | '<Без маркировки>' | '1'         |
		| 'Сыр Сулугуни'    | '<Без маркировки>' | '1'         |
	И в таблице "НоменклатураЯчейкиСклада" я перехожу к строке:
		| 'Номенклатура' | 'Приоритет' | 'Характеристика'   |
		| 'Сыр Сулугуни' | '1'         | '<Без маркировки>' |
	И в таблице "НоменклатураЯчейкиСклада" я нажимаю на кнопку 'Назначить приоритет'
	Тогда открылось окно 'Назначить приоритет'
	И в поле 'InputFld' я ввожу текст '2'
	И я нажимаю на кнопку 'OK'
	Тогда открылось окно 'Формирование приоритетов размещения'
	И в таблице "НоменклатураЯчейкиСклада" я перехожу к строке:
		| 'Номенклатура'    | 'Приоритет' | 'Характеристика'   |
		| 'Сыр Пошехонский' | '1'         | '<Без маркировки>' |
	И в таблице "НоменклатураЯчейкиСклада" я нажимаю на кнопку 'Назначить приоритет'
	Тогда открылось окно 'Назначить приоритет'
	И в поле 'InputFld' я ввожу текст '2'
	И я нажимаю на кнопку 'OK'
	Тогда открылось окно 'Формирование приоритетов размещения'
	И в таблице "НоменклатураЯчейкиСклада" я перехожу к строке:
		| 'Номенклатура'    | 'Приоритет' | 'Характеристика'   |
		| 'Сыр Костромской' | '1'         | '<Без маркировки>' |
	И в таблице "НоменклатураЯчейкиСклада" я нажимаю на кнопку 'Назначить приоритет'
	Тогда открылось окно 'Назначить приоритет'
	И в поле 'InputFld' я ввожу текст '2'
	И я нажимаю на кнопку 'OK'
	Тогда открылось окно 'Формирование приоритетов размещения'
	И в таблице "НоменклатураЯчейкиСклада" я перехожу к строке:
		| 'Номенклатура'   | 'Приоритет' | 'Характеристика'   |
		| 'Сыр Адыгейский' | '1'         | '<Без маркировки>' |
	И в таблице "НоменклатураЯчейкиСклада" я нажимаю на кнопку 'Назначить приоритет'
	Тогда открылось окно 'Назначить приоритет'
	И в поле 'InputFld' я ввожу текст '2'
	И я нажимаю на кнопку 'OK'
	Тогда открылось окно 'Формирование приоритетов размещения'
	Тогда таблица "НоменклатураЯчейкиСклада" стала равной:
		| 'Номенклатура'    | 'Характеристика'   | 'Приоритет' |
		| 'Сыр Адыгейский'  | '<Без маркировки>' | '2'         |
		| 'Сыр Костромской' | '<Без маркировки>' | '2'         |
		| 'Сыр Пошехонский' | '<Без маркировки>' | '2'         |
		| 'Сыр Сулугуни'    | '<Без маркировки>' | '2'         |
	И я нажимаю на кнопку 'ОбновитьФорму'
	И в таблице "ЯчейкиПриоритетов" я перехожу к строке:
		| 'Ячейка'   |
		| '03-003-3' |
	Тогда таблица "НоменклатураЯчейкиСклада" стала равной:
		| 'Номенклатура'    | 'Характеристика'   | 'Приоритет' |
		| 'Сыр Адыгейский'  | '<Без маркировки>' | '2'         |
		| 'Сыр Костромской' | '<Без маркировки>' | '2'         |
		| 'Сыр Пошехонский' | '<Без маркировки>' | '2'         |
		| 'Сыр Сулугуни'    | '<Без маркировки>' | '2'         |
	И в таблице "ЯчейкиПриоритетов" я перехожу к строке:
		| 'Ячейка'   |
		| '03-004-3' |
	И я жду, что в таблице "НоменклатураЯчейкиСклада" количество строк будет "равно" 0 в течение 3 секунд
	И в таблице "ЯчейкиПриоритетов" я перехожу к строке:
		| 'Ячейка'     |
		| '1-02-002-2' |
	Тогда таблица "НоменклатураЯчейкиСклада" стала равной:
		| 'Номенклатура'    | 'Характеристика'   | 'Приоритет' |
		| 'Сыр Адыгейский'  | '<Без маркировки>' | '1'         |
		| 'Сыр Костромской' | '<Без маркировки>' | '2'         |
		| 'Сыр Пошехонский' | '<Без маркировки>' | '3'         |
		| 'Сыр Сулугуни'    | '<Без маркировки>' | '4'         |
	И в таблице "ЯчейкиПриоритетов" я перехожу к строке:
		| 'Ячейка'     |
		| '1-02-002-3' |
	Тогда таблица "НоменклатураЯчейкиСклада" стала равной:
		| 'Номенклатура'    | 'Характеристика'   | 'Приоритет' |
		| 'Сыр Сулугуни'    | '<Без маркировки>' | '1'         |
		| 'Сыр Пошехонский' | '<Без маркировки>' | '2'         |
		| 'Сыр Костромской' | '<Без маркировки>' | '3'         |
		| 'Сыр Адыгейский'  | '<Без маркировки>' | '4'         |
	И в таблице "ЯчейкиПриоритетов" я перехожу к строке:
		| 'Ячейка'  |
		| '2000000' |
	И я жду, что в таблице "НоменклатураЯчейкиСклада" количество строк будет "равно" 0 в течение 3 секунд
	И я меняю значение переключателя 'НазначитьПриоритетыДляЯчеек' на 'Номенклатура'
	И в таблице "НоменклатураПриоритетов" я нажимаю на кнопку 'Заполнить по регистру'
	Тогда таблица "НоменклатураПриоритетов" стала равной:
		| 'Номенклатура'    | 'Характеристика'   |
		| 'Сыр Адыгейский'  | '<Без маркировки>' |
		| 'Сыр Костромской' | '<Без маркировки>' |
		| 'Сыр Пошехонский' | '<Без маркировки>' |
		| 'Сыр Сулугуни'    | '<Без маркировки>' |
	И в таблице "НоменклатураПриоритетов" я перехожу к строке:
		| 'Номенклатура'   | 'Характеристика'   |
		| 'Сыр Адыгейский' | '<Без маркировки>' |
	Тогда таблица "ЯчейкиНоменклатуры" стала равной:
		| 'Ячейка'     | 'Приоритет' |
		| '1-02-002-2' | '1'         |
		| '03-003-3'   | '2'         |
		| '1-02-002-3' | '4'         |
	И в таблице "НоменклатураПриоритетов" я перехожу к строке:
		| 'Номенклатура'    | 'Характеристика'   |
		| 'Сыр Костромской' | '<Без маркировки>' |
	Тогда таблица "ЯчейкиНоменклатуры" стала равной:
		| 'Ячейка'     | 'Приоритет' |
		| '1-02-002-2' | '2'         |
		| '03-003-3'   | '2'         |
		| '1-02-002-3' | '3'         |
	И в таблице "НоменклатураПриоритетов" я перехожу к строке:
		| 'Номенклатура'    | 'Характеристика'   |
		| 'Сыр Пошехонский' | '<Без маркировки>' |
	Тогда таблица "ЯчейкиНоменклатуры" стала равной:
		| 'Ячейка'     | 'Приоритет' |
		| '1-02-002-3' | '2'         |
		| '03-003-3'   | '2'         |
		| '1-02-002-2' | '3'         |
	И в таблице "НоменклатураПриоритетов" я перехожу к строке:
		| 'Номенклатура' | 'Характеристика'   |
		| 'Сыр Сулугуни' | '<Без маркировки>' |
	Тогда таблица "ЯчейкиНоменклатуры" стала равной:
		| 'Ячейка'     | 'Приоритет' |
		| '1-02-002-3' | '1'         |
		| '03-003-3'   | '2'         |
		| '1-02-002-2' | '4'         |
	И в таблице "НоменклатураПриоритетов" я нажимаю на кнопку с именем 'НоменклатураПриоритетовПодобрать'
	Тогда открылось окно 'Подбор номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'               |
		| 'Крылья куринные (подложка)' |
	И в таблице "Список" я выбираю текущую строку
	И я нажимаю на кнопку 'Перенести'
	Тогда открылось окно 'Формирование приоритетов размещения'
	И в таблице "ЯчейкиНоменклатуры" я нажимаю на кнопку с именем 'ЯчейкиНоменклатурыПодобратьЯчейки'
	Тогда открылось окно 'Складские ячейки'
	И в таблице "Список" я перехожу к строке:
		| 'Описание' |
		| '03-004-3' |
	И в таблице "Список" я выбираю текущую строку
	И в таблице "Список" я перехожу к строке:
		| 'Описание'   |
		| '1-02-002-2' |
	И в таблице "Список" я выбираю текущую строку
	И я нажимаю на кнопку 'Перенести в документ'
	Тогда открылось окно 'Назначить приоритет'
	И в поле 'InputFld' я ввожу текст '1'
	И я нажимаю на кнопку 'OK'
	Тогда открылось окно 'Формирование приоритетов размещения'
	Тогда таблица "НоменклатураПриоритетов" стала равной:
		| 'Номенклатура'               | 'Характеристика'   |
		| 'Сыр Адыгейский'             | '<Без маркировки>' |
		| 'Сыр Костромской'            | '<Без маркировки>' |
		| 'Сыр Пошехонский'            | '<Без маркировки>' |
		| 'Сыр Сулугуни'               | '<Без маркировки>' |
		| 'Крылья куринные (подложка)' | ''                 |
	И в таблице "НоменклатураПриоритетов" я перехожу к строке:
		| 'Номенклатура'               |
		| 'Крылья куринные (подложка)' |
	Тогда таблица "ЯчейкиНоменклатуры" стала равной:
		| 'Ячейка'     | 'Приоритет' |
		| '1-02-002-2' | '1'         |
		| '03-004-3'   | '1'         |
	И в таблице "ЯчейкиНоменклатуры" я перехожу к строке:
		| 'Приоритет' | 'Ячейка'     |
		| '1'         | '1-02-002-2' |
	И в таблице "ЯчейкиНоменклатуры" я нажимаю на кнопку с именем 'ЯчейкиНоменклатурыНазначитьПриоритетЯчейке'
	Тогда открылось окно 'Назначить приоритет'
	И в поле 'InputFld' я ввожу текст '2'
	И я нажимаю на кнопку 'OK'
	Тогда таблица "ЯчейкиНоменклатуры" стала равной:
		| 'Ячейка'     | 'Приоритет' |
		| '03-004-3'   | '1'         |
		| '1-02-002-2' | '2'         |
	И я меняю значение переключателя 'НазначитьПриоритетыДляЯчеек' на 'Ячейки'
	И в таблице "ЯчейкиПриоритетов" я перехожу к строке:
		| 'Ячейка'   |
		| '03-004-3' |
	Тогда таблица "НоменклатураЯчейкиСклада" стала равной:
		| 'Номенклатура'               | 'Характеристика'   | 'Приоритет' |
		| 'Крылья куринные (подложка)' | ''                 | '1'         |
	И в таблице "ЯчейкиПриоритетов" я перехожу к строке:
		| 'Ячейка'     |
		| '1-02-002-2' |
	Тогда таблица "НоменклатураЯчейкиСклада" стала равной:
		| 'Номенклатура'               | 'Характеристика'   | 'Приоритет' |
		| 'Сыр Адыгейский'             | '<Без маркировки>' | '1'         |
		| 'Сыр Костромской'            | '<Без маркировки>' | '2'         |
		| 'Крылья куринные (подложка)' | ''                 | '2'         |
		| 'Сыр Пошехонский'            | '<Без маркировки>' | '3'         |
		| 'Сыр Сулугуни'               | '<Без маркировки>' | '4'         |
	И Я закрываю окно 'Формирование приоритетов размещения'

Сценарий: 015.2. Logistic. Завершение

	И Я закрыл все окна клиентского приложения